Has anyone booted Rocko 2.4.2?

Yocto related software discussions are here

Has anyone booted Rocko 2.4.2?

Postby ClayMontgomery » Sat Mar 31, 2018 2:23 am

I have not been able to get Rocko 2.4.2 (the latest version of Yocto) to boot on either my rev C1 or D1 wandboard quads. The boot always freezes at the same place, but older versions I have tested boot fine.

The kernel boot messages are:

console [ttymxc0] enabled
21ec000.serial: ttymxc2 at MMIO 0x21ec000 (irq = 298, base_baud = 5000000) is a IMX
imx sema4 driver is registered.
[drm] Initialized drm 1.1.0 20060810
[drm] Initialized vivante 1.0.0 20120216 on minor 0
brd: module loaded
loop: module loaded
ahci-imx 2200000.sata: fsl,transmit-level-mV not specified, using 00000024
ahci-imx 2200000.sata: fsl,transmit-boost-mdB not specified, using 00000480
random: nonblocking pool is initialized
ahci-imx 2200000.sata: fsl,transmit-atten-16ths not specified, using 00002000
ahci-imx 2200000.sata: fsl,receive-eq-mdB not specified, using 05000000
ahci-imx 2200000.sata: SSS flag set, parallel bus scan disabled
ahci-imx 2200000.sata: AHCI 0001.0300 32 slots 1 ports 3 Gbps 0x1 impl platform mode
ahci-imx 2200000.sata: flags: ncq sntf stag pm led clo only pmp pio slum part ccc apst

It freezes here.

Can anyone please share if you have got this version to boot or if you know what is wrong?

Thanks, Clay
ClayMontgomery
 
Posts: 96
Joined: Tue Nov 19, 2013 9:14 pm

Re: Has anyone booted Rocko 2.4.2?

Postby ClayMontgomery » Sat Jul 07, 2018 8:50 pm

I tested this again after 4 months and the Rocko kernel still fails to boot. So, I filed a bug report regarding the FSL Community BSP here:

https://bugzilla.yoctoproject.org/show_bug.cgi?id=12844

Regards, Clay
ClayMontgomery
 
Posts: 96
Joined: Tue Nov 19, 2013 9:14 pm

Re: Has anyone booted Rocko 2.4.2?

Postby ClayMontgomery » Fri Jul 13, 2018 7:56 pm

I learned that Rocko does not support the Wandboard Rev D1, but only older versions of the board (which are no longer sold).

So, to continue using Yocto on Wandboards, we must skip Rocko and use either Pyro (4.1 kernel) or Sumo (4.17.4 kernel). Also, Sumo requires an updated u-boot as well:

https://bugzilla.yoctoproject.org/show_bug.cgi?id=12844

I have not tested Sumo yet, but will do so soon.

Regards, Clay
ClayMontgomery
 
Posts: 96
Joined: Tue Nov 19, 2013 9:14 pm


Return to Software - Yocto

Who is online

Users browsing this forum: No registered users and 4 guests